### Method

# Ide TerminalSearch get_regex

#### Declaration

    VteRegex*
    ide_terminal_search_get_regex (
      IdeTerminalSearch* self
    )

#### Description

No description available.

Available since: | 3.32

Gets property | `Ide.TerminalSearch:regex`

#### Return value

Returns: | `VteRegex`
| A `VteRegex` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.